name: binary
version: 0.8.3.0
id: binary-0.8.3.0
key: binary-0.8.3.0
license: BSD3
maintainer: Lennart Kolmodin, Don Stewart <dons00@gmail.com>
stability: provisional
homepage: https://github.com/kolmodin/binary
synopsis: Binary serialisation for Haskell values using lazy ByteStrings
description:
    Efficient, pure binary serialisation using lazy ByteStrings.
    Haskell values may be encoded to and from binary formats,
    written to disk as binary, or sent over the network.
    The format used can be automatically generated, or
    you can choose to implement a custom format if needed.
    Serialisation speeds of over 1 G\/sec have been observed,
    so this library should be suitable for high performance
    scenarios.
category: Data, Parsing
author: Lennart Kolmodin <kolmodin@gmail.com>
exposed: True
exposed-modules:
    Data.Binary Data.Binary.Put Data.Binary.Get
    Data.Binary.Get.Internal Data.Binary.Builder
hidden-modules: Data.Binary.Class Data.Binary.Internal
                Data.Binary.Generic
abi: 4351e9be7329542f34bb31cb20f5841c
trusted: False
import-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/binary-0.8.3.0
library-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/binary-0.8.3.0
data-dir: /opt/ghc-8.0.1/share/x86_64-linux-ghc-8.0.1/binary-0.8.3.0
hs-libraries: HSbinary-0.8.3.0
depends:
    array-0.5.1.1 base-4.9.0.0 bytestring-0.10.8.1 containers-0.5.7.1
haddock-interfaces: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/binary-0.8.3.0/binary.haddock
haddock-html: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/binary-0.8.3.0
